<?php

/*************************************************************
*  TorrentFlux PHP Torrent Manager
*  www.torrentflux.com
*  berarbeitet von OppTupacShakur based on TorrentFlux2.0b
**************************************************************/
/*
    This file is part of TorrentFlux.

    TorrentFlux is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    TorrentFlux is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with TorrentFlux; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/**************************************************************************/
// DEINE DATENBANK CONNECTION INFORMATION
/**************************************************************************/
// berprfen Sie das adodb/drivers/ Verzeichnis auf Untersttzung fr Ihre Datenbank
// Sie knnen zwischen vielen whlen (mysql ist die Voreinstellung)
$cfg["db_type"] = "mysql";       // mysql, postgres7 Datenbanktyp, gucke in adodb/drivers/
$cfg["db_host"] = "localhost";   // Datenbank Host Computer Name oder IP
$cfg["db_name"] = "torrentflux"; // Name der Datenbank
$cfg["db_user"] = "user";        // Benutzername der Datenbank
$cfg["db_pass"] = "password";    // Passwort der Datenbank
/**************************************************************************/

/**************************************************************************/
// Definieren Sie den PFAD, wohin die Downloads gehen (Anmerkung, beachten Sie das es mit einem /[ Schrgstrich ] endet)
// Dieses kann berall sein (nicht nur wo TorrentFlux installiert wird)
// ABER NICHT DEN PFAD ZU IHREN PHP DATEIN ANGEBEN!) --muss erstellt und chmod 777 werden!!!--
$cfg["path"] = "/usr/local/downloads/";
/**************************************************************************/
// Pfad wo die torrent meta files gespeichert werden... normalerweise ein Unterverzeichnis von $cfg["path"]
// '.' erzeugt ein unsichbares verzeichnis --Wird automatisch erstellt!!!--
$cfg["torrent_file_path"] = "/usr/local/downloads/.torrents/";
/**************************************************************************/

/**************************************************************************/
// Spezifizieren Sie den PFAD zu den btphptornado.py oder btphptorrent.py Dateien
// ndern Sie den Pfad nur , wenn bentigt.
// Sie knnen ' btphptornado.py ' fr BitTornado Klienten oder ' btphptorrent.py '
// fr den originalen BitTorrent Klienten verwenden (lesen Sie die INSTALLATIONSDATEI fr mehr Infos).
$cfg["btphpbin"] = "/usr/local/OPP_TF_BitTornado/btphptornado.py";
/**************************************************************************/

/**************************************************************************/
// Spezifizieren Sie den btshowmetainfo.py Dateinamen
// Benutzen Sie den vollen Pfad zu dieser Datei -- ndern Sie, wie bentigt.
$cfg["btshowmetainfo"] = "/usr/local/OPP_TF_BitTornado/btshowmetainfo.py";
/**************************************************************************/

/**************************************************************************/
// Konfiguration Make Torrent
$cfg["enable_make_torrent"] = true;

$cfg["btmakemetafile"] = "/usr/local/OPP_TF_BitTornado/btmakemetafile.py";
$cfg["maketorrent_file_path"] = "/usr/local/downloads/maketorrents/";
$cfg["makeannounce"] = "http://tuxwarez.com:2710/announce";
/**************************************************************************/

/**************************************************************************/
// Konfiguration Unrar - Unzip
$cfg["enable_unrar_unzip"] = false;
/**************************************************************************/
// NFO Viewer einschalten
$cfg["enable_view_nfo"] = false;
/**************************************************************************/

/**************************************************************************/
// IP SICHERHEIT
// Wenn an haben nur "erlaubte IPs" Zugriff auf die Login Page
$cfg["ip_allow"] = false;
// Auf diese Seite werden nicht erlaubte IPs umgeleitet
$cfg["banned"] = "http://www.google.de";
/**************************************************************************/

/**************************************************************************/
// XML/RSS Info --Vorsicht ffentlich lesbar-- http://TFDIR/xmlout.php
$cfg["xmlinfo"] = false;
/**************************************************************************/

/**************************************************************************/
// FTP/HTTP Downloader
$cfg["enable_ftp_http_downs"] = false;
$cfg["log_path"] = "/usr/local/downloads/.log/"; // Pfad wohin die Logs erstellt werden. '.' erzeugt ein unsichbares verzeichnis --Wird automatisch erstellt!!!--
/**************************************************************************/

/**************************************************************************/
// Versteckte vom anderen User die Files
$cfg["hide_other_users_files"] = false; //false zum ausschalten
$cfg["always_show_running_files"] = false; //false um gestartete/fertige Files zu verstecken
/**************************************************************************/

// TrafficControl
// Enable transfer usage tracking
$cfg["enable_xfer"] = true;

// Server Transfer Limits fr jeden Monat/Woche/Tag (in MB)
// Wert '0' wird keinen Transfer Balken in der Index anzeigen
$cfg["xfer_total"] = "0"; // 1048576 ist 1TB
$cfg["xfer_month"] = "28672"; // 1024 ist 1GB
$cfg["xfer_week"] = "7168";
$cfg["xfer_day"] = "1024";

// Tag an dem die Transferberechnung startet
$cfg["week_start"] = "Monday";
$cfg["month_start"] = "01";

// Zeigt Speicher Warnung an
$cfg["free_space_warning"] = true;
$cfg["percent_used"] = "99";

// POPUP bei start von torrents (false=aus, true=an)
$cfg["advanced_start"] = true;

// --max_upload_rate - Standard max Uploadrate fr jedes torrent
$cfg["max_upload_rate"] = "10";

// --max_download_rate - Standard max Downloadrate pro torrent
$cfg["max_download_rate"] = "0";

// --max_uploads - Setze den standard Wert fr die max Upload Verbindungen pro Torrent
$cfg["max_uploads"] = "4";

// -- minport - Setze den standard Wert fr die min ports (fr port range)
$cfg["minport"] = "46960";

// --maxport - Setze den standard Wert fr die max ports (fr port range)
$cfg["maxport"] = "47100";

// --skiphashcheck - Voreinstellung im Popup
$cfg["skiphashcheck"] = false;

// Extra Commandline options for btphpdownload if you want to override the defaults for BitTorrent
// View the download.py script in the BitTorrent scripts for more options
// DO NOT include --max_upload_rate, --minport, --maxport, --max_uploads here,
// it is included by TorrentFlux.  See items above.
$cfg["cmd_options"] = "";

// Ermglichen Sie die Torrentspy.org Suchform auf der Index Seite
$cfg["enable_search"] = true;

// Ermglichen Sie Benutzern, Datein ber den Browser aus dem Verzeichnis zu downloaden
$cfg["enable_file_download"] = true;

// Gebraucht "tar" oder "zip" fr das Verzeichnisdownloading (wenn Sie ZIP benutzen, stellen Sie sicher, da es installiert ist)
$cfg["package_type"] = "tar";

// Ermglichen Sie dem Zeigen der durchschnittlichen Bedienerlast ber die letzten 15 Minuten von der /proc/loadavg Datei
$cfg["show_server_load"] = true;

// Der Pfad zu Ihrer loadavg Datei
$cfg["loadavg_path"] = "/proc/loadavg";

// Tage wie lange Benutzer Aktionen in der Datenbank gespecihert werden. (owner ship of torrent based on this)
$cfg['days_to_keep'] = 30;

// Minuten, um Benutzer on-line-Status zu halten.
$cfg['minutes_to_keep'] = 3;

$cfg["rss_cache_min"] = "20";

$cfg["page_refresh"] = "60";

// Standard theme
$cfg["default_theme"] = "GT-R";

// Standardstellung Sprachdatei -- berprfen Sie den Sprachenordner auf Ihre Sprache
$cfg["default_language"] = "lang-german.php";

// Email Optionen
$cfg["use_email"] = true;
$cfg["adminemail"] = "nobody@home.com";

// min/max Torrent File Grsse
$cfg["max_upload"] = "1000000";
$cfg["min_upload"] = "0";

// Zeigt SQL Errors , ja oder nein
$cfg["debug_sql"] = false;

// Fgen Sie Dateiextensions hier zu, die Sie zum hochladen erlauben wollen
$cfg["file_types_array"] = array("torrent");

// Wnschen Sie das BitTorrent abschaltet, wenn der Download komplett ist?
$cfg["torrent_dies_when_done"] = "False";

// Setze hier die standard Seed Ratio pro Torren, bis es automatisch stopen soll in % angegeben
// Wert '0' wird fr unendliches seeden gesetzt.  Der Wert von 'sharekill' wird
// ignoriert wenn $cfg["torrent_dies_when_done"] = "True"
$cfg["sharekill"] = "150";

// Standard-Wert fr das Verstecken der offline Benutzer auf der Index Seite
// Kann auch im User Profil umgestellt werden
$cfg["hide_offline"] = false;


/*****************************************************************************
	TorrentFlux
	Torrent (n.) A violent or rapid flow; a strong current; a flood;
	        as, a torrent vices; a torrent of eloquence.
	Flux    (n.) The act of flowing; a continuous moving on or passing by,
	        as of a flowing stream; constant succession; change.
*****************************************************************************/



// ***************************************************************************
// ***************************************************************************
// Verndern Sie NICHTS unterhalb dieser Linie, es sei denn Sie wissen, was Sie tun.
// ***************************************************************************
// ***************************************************************************

$cfg["pagetitle"] = "TorrentFlux 2.0 by OppTupacShakur v1.2";

// TorrentFlux Version
$cfg["version"] = "";
$cfg["oppversion"] = "OPP Edition v1.2";

// CONSTANTS
$cfg["constants"] = array();
$cfg["constants"]["url_upload"] = "URL Upload";
$cfg["constants"]["start_torrent"] = "Started Torrent";
$cfg["constants"]["access_denied"] = "ACCESS DENIED";
$cfg["constants"]["delete_torrent"] = "Delete Torrent";
$cfg["constants"]["fm_delete"] = "File Manager Delete";
$cfg["constants"]["fm_download"] = "File Download";
$cfg["constants"]["kill_torrent"] = "Kill Torrent";
$cfg["constants"]["file_upload"] = "File Upload";
$cfg["constants"]["error"] = "ERROR";
$cfg["constants"]["hit"] = "HIT";
$cfg["constants"]["update"] = "UPDATE";
$cfg["constants"]["admin"] = "ADMIN";

asort($cfg["constants"]);


// Capture username
$cfg["user"] = "";
$cfg["password"] = "";
// Capture ip
$cfg["ip"] = $_SERVER['REMOTE_ADDR'];

$cfg["theme"] = $cfg["default_theme"];

$cfg["language_file"] = $cfg["default_language"];

// Total Bandbreite
$cfg["total_upload"] = 0;
$cfg["total_download"] = 0;

// Free Speicherplatz in MB
$cfg["free_space"] = disk_free_space($cfg["path"])/(1024*1024);


// Registrieren Sie Globals fr die, die es nicht angeschaltet haben
if (!ini_get("register_globals"))
{
    import_request_variables('GPC');
}

?>
