<?php

/*************************************************************
*  TorrentFlux - PHP Torrent Manager
*  www.torrentflux.com
**************************************************************/
/*
   This file is part of TorrentFlux.

   TorrentFlux is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   TorrentFlux is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with TorrentFlux; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


include_once("config.php");
include_once("functions.php");

$messages = "";

// Did the user issue the stop all command?
if(isset($stopall) && IsAdmin($cfg["user"]) == true)
{
include_once("AliasFile.php");
$dirName = $cfg["torrent_file_path"];
$screenStatus = shell_exec("ps x -w -w");
$arList = array();
$totals = array_fill(1, 5, 0);
$file_filter = getFileFilter($cfg["file_types_array"]);
$handle = opendir($dirName);
$lastUser = "";

while($entry = readdir($handle))
{
 if ($entry != "." && $entry != "..")
 {
  if (is_dir($dirName."/".$entry))
  {
   // don''t do a thing
  }
  else
  {
   if (ereg($file_filter, $entry))
   {
    $key = filemtime($dirName."/".$entry).md5($entry);
    $arList[$key] = $entry;
   }
  }
 }
}

foreach($arList as $entry)
{
 $the_user = getOwner($entry);
 $alias = getAliasName($entry).".stat";
 $af = new AliasFile($cfg["torrent_file_path"].$alias, $the_user);
 if ($af->running != "2" && $af->time_left != "Torrent Died")
 {
  if($af->percent_done < 100)
  {
   // The torrent is being stopped but is not completed dowloading
   $af->percent_done = ($af->percent_done + 100)*-1;
   $af->running = "0";
   $af->time_left = "Torrent Stopped";
  }
  else
  {
   // Torrent was seeding and is now being stopped
   $af->percent_done = 100;
   $af->running = "0";
   $af->time_left = "Download Succeeded!";
  }
  // Write out the new Stat File
  $af->WriteFile();
 }
}

AuditAction("ADMIN", "Stop All Torrents");

header("location: index.php");
}

// if we are to start a torrent then do so
if(isset($torrent))
{
include_once("AliasFile.php");
$command = "";
If (empty($rate))
{
 $rate = $cfg["max_upload_rate"];
}
if (empty($drate)) {
 $drate = $cfg["max_download_rate"];
}
if (empty($superseeder)) {
 $superseeder = "0"; // should be 0 in most cases
}
If (empty($runtime))
{
 $runtime = $cfg["torrent_dies_when_done"];
}
If (empty($maxuploads))
{
 $maxuploads = $cfg["max_uploads"];
}
if (empty($minport))
{
 $minport = $cfg["minport"];
}
if (empty($maxport))
{
 $maxport = $cfg["maxport"];
}
if (!isset($sharekill))
{
 $sharekill = $cfg["sharekill"];
}
$torrent = urldecode($torrent);
$alias = getAliasName($torrent);
$owner = getOwner($torrent);
// The following lines of code were suggested by Jody Steele jmlsteele@stfu.ca
// This is to help manage user downloads by their user names
//if the user's path doesnt exist, create it
if (!is_dir($cfg["path"]."/".$owner)) 
{
 mkdir($cfg["path"]."/".$owner, 0777);
}

// create AliasFile object and write out the stat file
$af = new AliasFile($cfg["torrent_file_path"].$alias.".stat", $owner);
$af->StartTorrentFile();  // this only writes out the stat file (does not start torrent)

	if (usingTornado())
	{
		if(file_exists($cfg["torrent_file_path"].$alias. ".prio"))
		{
			$list = file_get_contents( $cfg["torrent_file_path"].$alias. ".prio");
			$list = preg_replace('/\d*,((-?\d*,)*)/','${1}',$list);
			$prio = " --priority ". $list;
		}
		else $prio = '';
		$command = "cd " . $cfg["path"] . $owner . "; HOME=".$cfg["path"]."; export HOME; nohup " .$cfg["btphpbin"] . " ".$runtime." ".$sharekill." ".$cfg["torrent_file_path"].$alias.".stat ".$owner." --responsefile '".$cfg["torrent_file_path"].$torrent."' --display_interval 5 --max_download_rate ". $drate ." --max_upload_rate ".$rate." --max_uploads ".$maxuploads." --minport ".$minport." --maxport ".$maxport." --super_seeder ".$superseeder." ". $skiphashcheck .$cfg["cmd_options"] ." ". $prio . " > /dev/null &";
	}
else
{
 // Must be using the Original BitTorrent Client
 $command = "cd " . $cfg["path"] . $owner . "; nohup " . $cfg["btphpbin"] . " ".$runtime." ".$sharekill." ".$cfg["torrent_file_path"].$alias.".stat ".$owner." --responsefile \"".$cfg["torrent_file_path"].$torrent."\" --display_interval 5 --max_download_rate ". $drate ." --max_upload_rate ".$rate." --max_uploads ".$maxuploads." --minport ".$minport." --maxport ".$maxport." ".$cfg["cmd_options"]." > /dev/null &";
}

// write the session to close so older version of PHP will not hang
session_write_close();

// The following command starts the torrent running! w00t!
$result = exec($command);
sleep(2);

//AuditAction($cfg["constants"]["start_torrent"], $torrent);
AuditAction($cfg["constants"]["start_torrent"], $torrent."<br>Die:".$runtime.", Sharekill:".$sharekill.", MaxUploads:".$maxuploads.", DownRate:".$drate.", UploadRate:".$rate.", Ports:".$minport."-".$maxport.", SuperSeed:".$superseeder);

header("location: index.php");
}


// Do they want us to get a torrent via a URL?
if(isset($url_uploads))
{
       foreach ($url_uploads as $url_upload)
       {
               $arURL = explode("/", $url_upload);
               $file_name = urldecode($arURL[count($arURL)-1]); // get the file name
               $file_name = str_replace(array("'",","), "", $file_name);
               $file_name = stripslashes($file_name);
               $ext_msg = "";

               $ret = strrpos($file_name,".");
               if ($ret === false)
               {
                       $file_name .= ".torrent";
               }
               else
               {
                       if(!strcmp(strtolower(substr($file_name, strlen($file_name)-8, 8)), ".torrent") == 0)
                       {
                               $file_name .= ".torrent";
                       }
               }

               $url_upload = str_replace(" ", "%20", $url_upload);

               $output = fetchURL($url_upload);

               if ($cfg["save_torrent_name"] != "")
               {
                       $file_name = $cfg["save_torrent_name"];
               }

               $file_name = str_replace("\"","",cleanFileName($file_name));

               // if the output had data then write it to a file
               if ((strlen($output) > 0) && (strpos($output, "<br />") === false))
               {
                       if (is_file($cfg["torrent_file_path"].$file_name))
                       {
                               // Error
                               $messages .= "<b>Error</b> with (<b>".$file_name."</b>), the file already exists on the server.<br><center><a href=\"".$_SERVER['PHP_SELF']."\">[Refresh]</a></center>";
                               $ext_msg = "DUPLICATE :: ";
                       }
                       else
                       {
                               // open a file to write to
                               $fw     = fopen($cfg["torrent_file_path"].$file_name,'w');
                               fwrite($fw, $output);
                               fclose($fw);
                       }
               }
               else
               {
                       $messages .= "<b>Error</b> Getting the File (<b>".$file_name."</b>), Could be a Dead URL.<br><center><a href=\"".$_SERVER['PHP_SELF']."\">[Refresh]</a></center>";
               }

               if ($messages == "")
               {
                       AuditAction($cfg["constants"]["url_upload"], $file_name);
                       header("location: index.php");
               }
               else
               {
                       // there was an error
                       AuditAction($cfg["constants"]["error"], $cfg["constants"]["url_upload"]." :: ".$ext_msg.$file_name);
               }
       }
}

// Handle the file upload if there is one/some
if(!empty($_FILES['upload_file']['name']))
{
$file_name = stripslashes($_FILES['upload_file']['name']);
$file_name = str_replace(array("'",","), "", $file_name);
$file_name = str_replace("\"","",cleanFileName($file_name));
$ext_msg = "";

   if($_FILES['upload_file']['size'] <= $cfg["max_upload"] &&
      $_FILES['upload_file']['size'] > $cfg["min_upload"])
   {
       if (ereg(getFileFilter($cfg["file_types_array"]), $file_name))
       {
           //FILE IS BEING UPLOADED
           if (is_file($cfg["torrent_file_path"].$file_name))
  {
   // Error
   $messages .= "<b>Error</b> with (<b>".$file_name."</b>), the file already exists on the server.<br><center><a href=\"".$_SERVER['PHP_SELF']."\">[Refresh]</a></center>";
   $ext_msg = "DUPLICATE :: ";
  }
  else
  {
   if(move_uploaded_file($_FILES['upload_file']['tmp_name'], $cfg["torrent_file_path"].$file_name))
   {
    chmod($cfg["torrent_file_path"].$file_name, 0644);
   
    AuditAction($cfg["constants"]["file_upload"], $file_name);
   
    header("location: index.php");
   }
   else
   {
    $messages .= "<font color=\"#ff0000\" size=3>ERROR: File not uploaded, file could not be found or could not be moved:<br>".$cfg["torrent_file_path"] . $file_name."</font><br>";
   }
  }
       }
       else
       {
           $messages .= "<font color=\"#ff0000\" size=3>ERROR: The type of file you are uploading is not allowed.</font><br>";
       }
   }
   else
   {
       $messages .= "<font color=\"#ff0000\" size=3>ERROR: File not uploaded, check file size limit.</font><br>";
   }

if($messages != "")
{
 // there was an error
 AuditAction($cfg["constants"]["error"], $cfg["constants"]["file_upload"]." :: ".$ext_msg.$file_name);
}
}  // End File Upload


// if a file was set to be deleted then delete it
if(isset($delfile))
{
    if (($cfg["user"] == getOwner($delfile)) || IsAdmin())
    {
        @unlink($cfg["torrent_file_path"].$delfile);
        /* -- xfr patch --*/
        include_once("AliasFile.php");
        $af = new AliasFile($cfg['torrent_file_path'].$alias_file, 0);
        if ($af->downtotal || $af->uptotal)
        saveXfer($af->torrentowner,$af->downtotal,$af->uptotal); // 238
        /* -- xfr patch --*/
        @unlink($cfg["torrent_file_path"].$alias_file);

        AuditAction($cfg["constants"]["delete_torrent"], $delfile);

        header("location: index.php");
    }
    else
    {
        AuditAction($cfg["constants"]["error"], $cfg["user"]." attempted to delete ".$delfile);
    }
}


// Did the user select the option to kill a running torrent?
if(isset($kill))
{
include_once("AliasFile.php");
// We are going to write a '0' on the front of the stat file so that
// the BT client will no to stop -- this will report stats when it dies
$the_user = getOwner($kill_torrent);
// read the alias file
// create AliasFile object
$af = new AliasFile($cfg["torrent_file_path"].$alias_file, $the_user);
if($af->percent_done < 100)
{
 // The torrent is being stopped but is not completed dowloading
 $af->percent_done = ($af->percent_done + 100)*-1;
 $af->running = "0";
 $af->time_left = "Torrent Stopped";
}
else
{
 // Torrent was seeding and is now being stopped
 $af->percent_done = 100;
 $af->running = "0";
 $af->time_left = "Download Succeeded!";
}

// Write out the new Stat File
$af->WriteFile();

AuditAction($cfg["constants"]["kill_torrent"], $kill_torrent);

header("location: index.php");
}

$drivespace = getDriveSpace($cfg["path"]);

?>


<html>
<HEAD>
   <TITLE><?php echo $cfg["pagetitle"] ?></TITLE>
<link rel="icon" href="images/favicon.ico" type="image/x-icon" />
<link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon" />
   <LINK REL="StyleSheet" HREF="themes/<?php echo $cfg["theme"] ?>/style.css" TYPE="text/css">
   <META HTTP-EQUIV="Pragma" CONTENT="no-cache; charset=<?php echo _CHARSET ?>">
<?php
/*
if(!isset($refresh))
{
 echo "<meta http-equiv=\"REFRESH\" content=\"".$cfg["page_refresh"].";URL=index.php\">";
}
*/
?>

<div id="overDiv" style="position:absolute;visibility:hidden;z-index:1000;"></div>
<script language="JavaScript">
var ol_closeclick = "1";
var ol_close = "<font color=#ffffff><b>X</b></font>";
var ol_fgclass = "fg";
var ol_bgclass = "bg";
var ol_captionfontclass = "overCaption";
var ol_closefontclass = "overClose";
var ol_textfontclass = "overBody";
var ol_cap = "&nbsp;Torrent Details";
</script>
<script src="overlib.js" type="text/javascript"></script>

<script language="JavaScript">
function ShowDetails(name_file)
{
 window.open (name_file,'_blank','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=480,height=240')
}

function StartTorrent(name_file)
{
 window.open (name_file,'_blank','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=no,width=540,height=335')
}

function ConfirmDelete(file)
{
return confirm("<?php echo _ABOUTTODELETE ?>: " + file)
}

function AddRowsToTable2() {
       var tbl = document.getElementById('tblSample2');
       var lastRow = tbl.rows.length;
       var iteration = lastRow;
       var row = tbl.insertRow(lastRow);

       var cellRight = row.insertCell(0);
       var el = document.createElement('input');
       el.setAttribute('type', 'text');
       el.setAttribute('name', 'url_uploads[]');

       el.setAttribute('size', '50');
       cellRight.setAttribute('id',iteration);
       cellRight.appendChild(el);
       // var aa = document.createElement("<a href='#' onClick='RemoveRowFromTable();return false;'>Remove Last</a>'");
       var aa = document.createElement("a");
       aa.setAttribute('href', '#');
       var clickName = new Function("DeleteRow(this)");
       aa.onclick = clickName;
       aa.innerHTML = "<?php echo _DELETE ?>";
       cellRight.appendChild(aa);
}
function DeleteRow(x)
{
       while (x.tagName.toLowerCase() !='tr')
       {
               if(x.parentElement)
                       x=x.parentElement;
               else if(x.parentNode)
                       x=x.parentNode;
               else
                       return;
       }
       var rowNum=x.rowIndex;
       while (x.tagName.toLowerCase() !='table')
       {
               if(x.parentElement)
                       x=x.parentElement;
               else if(x.parentNode)
                       x=x.parentNode;
               else
                       return;
       }
       x.deleteRow(rowNum);
}

function RemoveRowFromTable(rowid) {
       //alert("sadfs");
       var tbl = document.getElementById(iteration);
       //var lastRow = tbl.rows.length;
       //if (lastRow > 1)
       tbl.deleteRow(rowid);
}

function trim(str) {
       return str.replace( /^\s*/, '').replace( /\s*$/, '' );
}

function ConfirmStopAll()
{
return confirm("Stop all torrents?");
}

</SCRIPT>

</HEAD>

<body topmargin="8" bgcolor="<?php echo $cfg["main_bgcolor"] ?>">

<div align="center">

<?php
if ($messages != "")
{
?>
<table border="1" cellpadding="10" bgcolor="#ff9b9b">
<tr>
<td><div align="center"><?php echo $messages ?></div></td>
</tr>
</table><br><br>
<?php
}
?>


<table border="0" cellpadding="0" cellspacing="0" width="95%">
<tr>
	<td>


<table border="1" bordercolor="<?php echo $cfg["table_border_dk"] ?>" cellpadding="4" cellspacing="0" width="100%">
<tr>
    <td colspan="2" background="themes/<?php echo $cfg["theme"] ?>/images/bar.gif">
	<?php DisplayTitleBar($cfg["pagetitle"]); ?>
    </td>
</tr>
<tr>
    <td bgcolor="<?php echo $cfg["table_header_bg"] ?>">
	<table width="100%" cellpadding="3" cellspacing="0" border="0" >
	<tr>
		<form name="form_file" action="index.php" method="post" enctype="multipart/form-data">
		<td>
		<?php echo _SELECTFILE ?>:<br>
		<input type="File" name="upload_file" size="40">
		<input type="Submit" value="<?php echo _UPLOAD ?>">	
		</td>
		</form>
	</tr>
	<tr>
	<td>
  	<form name="form_url" id="form2" action="index.php" method="post">
    <table id="tblSample2" border="0" cellspacing=2" cellpadding="2">
    <tr id="row2">
    <td>
    <?php echo _URLFILE ?>:<br>
    <input type="text" name="url_uploads[]" size="50">
    <input type="Submit" value="<?php echo _GETFILE ?>">
    <a href="#" onClick="AddRowsToTable2();return false;"><?php echo _ADDURL ?></a>
    </td>
    </tr>
    </table>
    </form>
  </td>
  </tr>
<?php
if ($cfg["enable_search"])
{
?>
        <tr>
                <form action="http://isohunt.com/torrents.php" method="get" name="searchForm" target="_blank">
                <td>
                IsoHunt <?php echo _SEARCH ?>:<br>
                <input name="ihq" type="text" size="30">
                <input value="<?php echo _SEARCH ?>" class="flat-button" type="Submit"><br>
                <table border="0" cellpadding="0" cellspacing="0"><tr><td><input type=checkbox name="iht" value="-1" checked>All</td>
                <td><input type=checkbox name="iht" value="2">Audio</td>
                <td><input type=checkbox name="iht" value="1">Video</td>
                <td><input type=checkbox name="iht" value="5">Appz</td>
                <td><input type=checkbox name="iht" value="4">Games</td>
                <td><input type=checkbox name="iht" value="11">Unsorted</td>
                </tr>
                </table>
</td>
</form>
</tr>		
	<tr>
       <td>
       <form action="http://www.mininova.org/search.php" method="get" name="searchForm" target="_blank">
       Mininova Torrent <?php echo _SEARCH ?>:<br>
       <input type="text" id="search" name="search" class="form_field" size="45" />
       <input type="submit" class="form_button" accesskey="s" value="<?php echo _SEARCH ?>"
       onclick="document.forms.search_form.target='_self'" />
       </td>
       </form>
       </tr>

<script type="text/javascript">
<!--
function setAll()
{
       document.forms['q'].elements['audio'].checked = false;
       document.forms['q'].elements['video'].checked = false;
       document.forms['q'].elements['apps'].checked = false;
       document.forms['q'].elements['games'].checked = false;
       document.forms['q'].elements['other'].checked = false;
}
function rmAll()

{
       document.forms['q'].elements['all'].checked = false;
}
-->

</script>

<tr>
<form action="http://thepiratebay.org/search.php" method="get" name="q" target="_blank">
<td>
ThePirateBay <?php echo _SEARCH ?>:<br>
<input type="text" class="form_field" size="45" name="q" />
<input value="<?php echo _SEARCH ?>" type="submit" class="form_button" />
<input value="Lucky" type="submit" name="lucky"  />
<input value="Recent" type="submit" action="http://thepiratebay.org/recent.php"
class="form_button">
<input value="Top100" type="submit" action"http://thepiratebay.org/top100.php"
class="form_button">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<br>

<label for="all">
<input id="all" onclick="javascript:setAll();" type="checkbox"
checked="checked"/>All</label>

<label for="audio">
<input id="audio" name="audio" onclick="javascript:rmAll();"
type="checkbox"/>Audio</label>

<label for="video">
<input id="video" name="video" onclick="javascript:rmAll();" 
type="checkbox"/>Video</label>

<label for="apps">
<input id="apps" name="apps" onclick="javascript:rmAll();"
type="checkbox"/>Appz</label>

<label for="games">
<input id="games" name="games" onclick="javascript:rmAll();"
type="checkbox"/>Games</label>

<label for="other">
<input id="other" name="other" onclick="javascript:rmAll();"
type="checkbox"/>Other</label>
</td>
</form>
</tr>

<?php
}
?>
</table>

   </td>
<td bgcolor="<?php echo $cfg["table_data_bg"] ?>" width="310" valign="top" class=links>
<table width="100%" cellpadding="1" border="0">
<tr >
<td valign="top">
<b><?php echo _TORRENTLINKS ?>:</b><br>
<?php
 $arLinks = GetLinks();
 foreach($arLinks as $link)
 {
  echo "<a href=\"".$link['url']."\" target=\"_blank\"><img src=\"images/arrow.gif\" width=9 height=9 title=\"".$link['url']."\" border=0 align=\"baseline\">".$link['sitename']."</a><br>\n";
 }
 echo "</td>";

 $arUsers = GetUsers();
 $arOnlineUsers = array();
 $arOfflineUsers = array();

 for($inx = 0; $inx < count($arUsers); $inx++)
 {
  if(IsOnline($arUsers[$inx]))
  {
   array_push($arOnlineUsers, $arUsers[$inx]);
  }
  else
  {
   array_push($arOfflineUsers, $arUsers[$inx]);
  }
 }

 echo "<td valign=\"top\">";
 echo "<b>"._ONLINE.":</b><br>";

 for($inx = 0; $inx < count($arOnlineUsers); $inx++)
 {
  echo "<a href=\"message.php?to_user=".$arOnlineUsers[$inx]."\">";
  echo "<img src=\"images/user.gif\" width=17 height=14 title=\"\" border=0 align=\"bottom\">". $arOnlineUsers[$inx];
  echo "</a><br>\n";
 }
 
 // Does the user want to see offline users?
 if ($cfg["hide_offline"] == false)
 {
  echo "<b>"._OFFLINE.":</b></br>";
  // Show offline users

  for($inx = 0; $inx < count($arOfflineUsers); $inx++)
  {
   echo "<a href=\"message.php?to_user=".$arOfflineUsers[$inx]."\">";
   echo "<img src=\"images/user_offline.gif\" width=17 height=14 title=\"\" border=0 align=\"bottom\">".$arOfflineUsers[$inx];
   echo "</a><br>\n";
  }
 }

 echo "</td>";
?>
 </tr>
 </table>
</td>
</tr>
<tr>
   <td bgcolor="<?php echo $cfg["table_header_bg"] ?>" colspan="2">

<?php
displayDriveSpaceBar($drivespace);
   if ($cfg["enable_xfer"]) {
     if ($cfg["xfer_total"]) echo displayXferBar($cfg["xfer_total"],$xfer['total']['server']['total'],'(T) Transfer');
     if ($cfg["xfer_month"]) echo displayXferBar($cfg["xfer_month"],$xfer['month']['server']['total'],'(M)Transfer:');
     if ($cfg["xfer_week"]) echo displayXferBar($cfg["xfer_week"],$xfer['week']['server']['total'],'(W)Transfer:');
     if ($cfg["xfer_day"]) echo displayXferBar($cfg["xfer_day"],$xfer['day']['server']['total'],'(D)Transfer:');
   }
?>

</td>
</tr>
<tr>
   <td bgcolor="<?php echo $cfg["table_data_bg"] ?>" colspan="2">
<div align="center">
   <font face="Arial" size="2">
<?php if ($cfg["enable_ftp_http_downs"])
{
 echo '<a href="dl.php"><img src="images/dl.gif" width="16" height="16" title="HTTP / FTP DOWNLOADER" border="0" align="absmiddle" />'._DL.'</a>';
 echo ' | ';
}
?>
<a href="readrss.php">
<img src="images/download_owner.gif" width="16" height="16" border="0" title="RSS Torrents" align="absmiddle">RSS Torrents</a>
 |
<a href="drivespace.php">
<img src="images/hdd.gif" width="16" height="16" border="0" title="<?php echo $drivespace ?>% Used" align="absmiddle"><?php echo _DRIVESPACE ?></a>
 |
<a href="who.php">
<img src="images/who.gif" width="16" height="16" title="" border="0" align="absmiddle"><?php echo _SERVERSTATS ?></a>
 |
<a href="all_services.php">
<img src="images/all.gif" width="16" height="16" title="" border="0" align="absmiddle"><?php echo _ALL ?></a>
 |
<a href="dir.php">
<img src="images/folder.gif" width="16" height="16" title="" border="0" align="absmiddle"><?php echo _DIRECTORYLIST ?></a>
 |
<a href="dir.php?dir=<?php echo $cfg["user"] ?>"><img src="images/folder.gif" width="16" height="16" title="My Directory" border="0" align="absmiddle">My Directory</a>
<?php if(IsAdmin($cfg["user"]))
{
 echo ' |';
 echo '<a href="?stopall=now"><img src="images/stop_all.gif" width="16" height="16" onClick="return ConfirmStopAll()" title="STOP All" border="0" align="absmiddle" />STOP All</a>';
}
?>
</font>
</div>
   </td>
</tr>
<form action="multi.php" method="POST">
</table>

<?php
   getDirList($cfg["torrent_file_path"]);
?>
<tr><td bgcolor="<?php echo $cfg["table_header_bg"] ?>" colspan="6">

<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
<td>
<font face="Arial" size="2">
	<div align="right">
	<table>
		<tr>
			<td><img src="images/properties.png" width="18" height="13" title="<?php echo _TORRENTDETAILS ?>"></td>
			<td class="tiny"><?php echo _TORRENTDETAILS ?>&nbsp;&nbsp;&nbsp;</td>
			<td><img src="images/run_on.gif" width="16" height="16" title="<?php echo _RUNTORRENT ?>"></td>
			<td class="tiny"><?php echo _RUNTORRENT ?>&nbsp;&nbsp;&nbsp;</td>
			<td><img src="images/kill.gif" width="16" height="16" title="<?php echo _STOPDOWNLOAD ?>"></td>
			<td class="tiny"><?php echo _STOPDOWNLOAD ?>&nbsp;&nbsp;&nbsp;</td>
			<td><img src="images/seed_on.gif" width="16" height="16" title="<?php echo _SEEDTORRENT ?>"></td>
			<td class="tiny"><?php echo _SEEDTORRENT ?>&nbsp;&nbsp;&nbsp;</td>
			<td><img src="images/delete_on.gif" width="16" height="16" title="<?php echo _DELETE ?>"></td>
			<td class="tiny"><?php echo _DELETE ?>&nbsp;&nbsp;&nbsp;</td>
			<td class="tiny"><select name="action" size="1"><option value="torrent">Lsche Torrents</option><option value="data">Lsche Datei(n) & Torrents</option></select><input type="submit" value="Go"></form></td>
		</tr>
	</table>
	</div>
	<div align="center">

<?php
if(!isset($refresh))
{
 echo "<strong>*** "._PAGEWILLREFRESH." ".$cfg["page_refresh"]." "._SECONDS." ***</strong><br>
          <a href=\"".$_SERVER['PHP_SELF']."?refresh=off\">"._TURNOFFREFRESH."</a>";
}
else
{
 echo "<a href=\"".$_SERVER['PHP_SELF']."\">"._TURNONREFRESH."</a>";
}

if (($cfg["free_space_warning"]) && ($drivespace >= $cfg["percent_used"]))
{

 echo "\n\n<script  language=\"JavaScript\">\n alert(\""._WARNING.": ".$drivespace."% "._DRIVESPACEUSED."\")\n </script>";
}

// At this point Any User actions should have taken place
// Check to see if the user has a force_read message from an admin
if (IsForceReadMsg())
{
 // Yes, then warn them
?>
 <script  language="JavaScript"> 
 if (confirm("<?php echo _ADMINMESSAGE ?>"))
 {
  document.location = "readmsg.php";
 } 
 </script>
 
<?php
}

?>
<?php
	if (IsUserReadMsg())
{
?>
		<script  language="JavaScript"> 
	if (confirm("<?php echo _USERMESSAGE ?>"))
	{
	 document.location = "readmsg.php";
	} 
	</script>
		
<?php
}
	
?>
</div>
</font>

</td>
</tr>
</table>
<!--
<td align="right" class="tiny" width="160" valign="top">
Total Upload: <strong><?php echo number_format($cfg["total_upload"], 2); ?></strong> kB/s<br>
Total Download: <strong><?php echo number_format($cfg["total_download"], 2); ?></strong> kB/s<br>
Free Space: <strong><?php echo formatFreeSpace($cfg["free_space"]) ?></strong>


<?php 
if ($cfg["show_server_load"] && is_file($cfg["loadavg_path"]))
{
 $loadavg_array = explode(" ", exec("cat ".$cfg["loadavg_path"]));
 $loadavg = $loadavg_array[2];
 echo "<br>Server Load: <strong>".$loadavg."</strong>";
}
?>
</td>
</tr>
</table>
-->
<?
 echo '<table width="100%"><tr><td class="tiny">';
 if ($cfg['enable_xfer']) {
     echo '<b>'._SERVERXFERSTATS.'</b><br>';
     echo _TOTALXFER.': <strong>'.formatFreeSpace($xfer['total']['server']['total']/(1024*1024)).'</strong><br>';
     echo _MONTHXFER.': <strong>'.formatFreeSpace($xfer['month']['server']['total']/(1024*1024)).'</strong><br>';
     echo _WEEKXFER.': <strong>'.formatFreeSpace($xfer['week']['server']['total']/(1024*1024)).'</strong><br>';
     echo _DAYXFER.': <strong>'.formatFreeSpace($xfer['day']['server']['total']/(1024*1024)).'</strong><br>';
   echo '</td>';
 }
 echo '<td class="tiny" align="center">';
//   echo '<b>'._OTHERSERVERSTATS.'</b><br>';
   echo _DOWNLOADSPEED.': <strong>'.number_format($cfg["total_download"], 2).'</strong> kB/s<br>';
   echo _UPLOADSPEED.': <strong>'.number_format($cfg["total_upload"], 2).'</strong> kB/s<br>';
   echo _TOTALSPEED.': <strong>'.number_format($cfg["total_download"]+$cfg["total_upload"], 2).'</strong> kB/s<br>';
   echo _DRIVESPACE.': <strong>'.formatFreeSpace($cfg["free_space"]).'</strong><br>';
if ($cfg["show_server_load"] && is_file($cfg["loadavg_path"]))
{
 $loadavg_array = explode(" ", exec("cat ".$cfg["loadavg_path"]));
 $loadavg = $loadavg_array[2];
 echo "Server Load: <strong>".$loadavg."</strong>";
}
 echo '</td>';
 if ($cfg['enable_xfer']) {
   echo '<td class="tiny" align="right">';
     echo '<b>'._YOURXFERSTATS.'</b><br>';
     echo _TOTALXFER.': <strong>'.formatFreeSpace($xfer['total']['user'][$cfg['user']]['total']/(1024*1024)).'</strong><br>';
     echo _MONTHXFER.': <strong>'.formatFreeSpace($xfer['month']['user'][$cfg['user']]['total']/(1024*1024)).'</strong><br>';
     echo _WEEKXFER.': <strong>'.formatFreeSpace($xfer['week']['user'][$cfg['user']]['total']/(1024*1024)).'</strong><br>';
     echo _DAYXFER.': <strong>'.formatFreeSpace($xfer['day']['user'][$cfg['user']]['total']/(1024*1024)).'</strong><br>';
   echo '</td>';
 }
 echo '</tr></table>';
?>



</td></tr>
</table>

<?php 
echo DisplayTorrentFluxLink(); 
?>

</td>
</tr>
</table>


</body>
</html>

